( cd usr/lib64 ; rm -rf libawn.so )
( cd usr/lib64 ; ln -sf libawn.so.1.0.1 libawn.so )
( cd usr/lib64 ; rm -rf libawn.so.1 )
( cd usr/lib64 ; ln -sf libawn.so.1.0.1 libawn.so.1 )
( cd usr/doc/avant-window-navigator-0.4.2 ; rm -rf html )
( cd usr/doc/avant-window-navigator-0.4.2 ; ln -sf ../../share/gtk-doc/html/libawn html )

schema_install() {
  SCHEMA="$1"
  GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
  chroot . gconftool-2 --makefile-install-rule \
    /etc/gconf/schemas/$SCHEMA \
    1>/dev/null
}

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

schema_install avant-window-navigator.schemas
schema_install awn-applet-taskmanager.schemas
